Package org.jbpm.workflow.core.node

## Class StateBasedNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.StateBasedNode

- All Implemented Interfaces:
    `Serializable`, `Contextable`, `ContextResolver`, `Node`, `org.kie.api.definition.process.Node`
  Direct Known Subclasses:
    `CompositeNode`, `MilestoneNode`, `RuleSetNode`, `SubProcessNode`, `WorkItemNode`

      public abstract class StateBasedNode
      extends ExtendedNodeImpl

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_BOUNDARY, EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `StateBasedNode​(org.kie.api.definition.process.NodeType nodeType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addBoundaryEvents​(String boundaryEvent)` |
    `void` | `addTimer​(Timer timer, DroolsAction action)` |
    `List<String>` | `getBoundaryEvents()` |
    `Map<Timer,​DroolsAction>` | `getTimers()` |
    `void` | `removeAllTimers()` |
    `void` | `setBoundaryEvents​(List<String> boundaryEvents)` |

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, getActionTypes, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StateBasedNode

          protected StateBasedNode​(org.kie.api.definition.process.NodeType nodeType)

  - ### Method Detail

    - #### getTimers

          public Map<Timer,​DroolsAction> getTimers()

    - #### addTimer

          public void addTimer​(Timer timer,
                               DroolsAction action)

    - #### removeAllTimers

          public void removeAllTimers()

    - #### addBoundaryEvents

          public void addBoundaryEvents​(String boundaryEvent)

    - #### setBoundaryEvents

          public void setBoundaryEvents​(List<String> boundaryEvents)

    - #### getBoundaryEvents

          public List<String> getBoundaryEvents()